Xmarks for SafariがSnow Leopardで動くようになりましたね。
正式バージョンじゃないのかな?
snow_leopard_errorというサポートの中で配布していました。